# $Revision: 1.9 $, $Date: 2004/11/01 17:43:35 $
Summary:	CSS editor for web developers
Summary(pl):	Edytor CSS dla programistw stron
Name:		cssed
Version:	0.3.0
Release:	1
Group:		Development/Tools
License:	GPL
Source0:	http://belnet.dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	667632e3c5f7f3493a2d98cc47470209
Source1:	%{name}.desktop
URL:		http://cssed.sourceforge.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cssed is a GTK+ CSS editor for web developers. It's not finished yet
and it's a beta release candidate only, but it's already a powerfull
CSS editor. cssed have features that allow any developer to speed his
coding as autocompletion or CSS syntax higlighting.

%description -l pl
cssed jest edytorem CSS opartym o GTK+ dla programistw stron WWW. Nie 
jest jeszcze ukoczony i jest to tylko wersja beta, ale ju pokazuje 
swoje potne moliwoci. Umoliwia midzy innymi przyspieszenie 
kodowania CSS przez autouzupenianie oraz podwietlanie skadni CSS.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install pixmaps/%{name}-icon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}-icon.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/cssed
%{_datadir}/%{name}
%{_pkgconfigdir}/*.pc
%{_pixmapsdir}/%{name}-icon.png
%{_desktopdir}/%{name}.desktop
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cssed.spec,v $
Revision 1.9  2004/11/01 17:43:35  adamg
- updated to 0.3.0

Revision 1.8  2004/07/16 10:23:17  ankry
- desktop moved to Source1 and updated, rel. 2

Revision 1.7  2004/05/15 18:57:43  undefine
- update to 0.2.1

Revision 1.6  2004/04/29 00:07:36  undefine
-  update to 2.0 by Piotr Budny <vip@linux.pl>

Revision 1.5  2004/04/04 20:02:30  wolf
- pre0.1-5

Revision 1.4  2004/02/25 19:08:30  undefine
- update to rel 4, idea by <vip@linux.pl>

Revision 1.3  2004/01/16 02:26:44  undefine
- update to -3

Revision 1.2  2003/12/22 21:30:58  qboosh
- added opt patch, more BRs, missing dirs
- removed COPYING (just GPL) and INSTALL (generic) from doc

Revision 1.1  2003/12/10 18:04:51  undefine
- initial pld version

* Mon Dec 8 2003 Iago Rubio <iago.rubio@hispalinux.es>
- First rpm build for beta release candidate.
